Subject: [alpine-aports] [PATCH] testing/mate-utils: new aport

From: Alan Lacerda <[email-masked]>
Date: Tue, 5 May 2015 21:02:45 +0000

---
 testing/mate-utils/APKBUILD | 50 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)
 create mode 100644 testing/mate-utils/APKBUILD

diff --git a/testing/mate-utils/APKBUILD b/testing/mate-utils/APKBUILD
new file mode 100644
index 0000000..85a93c2
--- /dev/null
+++ b/testing/mate-utils/APKBUILD
@@ -0,0 +1,50 @@
+# Contributor: Alan Lacerda <[email-masked]>
+# Maintainer:
+pkgname=mate-utils
+pkgver=1.9.90
+pkgrel=0
+pkgdesc="Utilities for the MATE Desktop"
+url="https://github.com/mate-desktop/mate-utils"
+arch="all"
+license="GPLv2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev intltool glib-dev gtk+2.0-dev mate-panel-dev
+	libgtop-dev libcanberra-dev itstool libsm-dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
+source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+                --build=$CBUILD \
+                --host=$CHOST \
+                --sysconfdir=/etc \
+                --prefix=/usr \
+                --enable-all-themes || return 1
+
+        make || return 1
+
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" install || return 1
+	find "$pkgdir" -name \*.la -delete
+}
+
+md5sums="8c19405bf5a7f4f6a93143a5dff8c884  mate-utils-1.9.90.tar.xz"
+sha256sums="4d78abc74121a2f7436c8ec66ed33833f4bbe1f505c352d7ffb3495b694984b5  mate-utils-1.9.90.tar.xz"
+sha512sums="ce0811e498a1aa73f81676879dde98d8c1d6bc1262843e0f26f523f3763f8f64c80f7196b458eabba14cab1e74b00324d848785e590649744767fdf5cf2bcf2a  mate-utils-1.9.90.tar.xz"
-- 
2.3.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---